I'm getting the following error output when I try to run GTA IV on Ubuntu 12.10 (64bit) with WINE:

Code:
X Error of failed request:  GLXBadDrawable
  Major opcode of failed request:  153 (GLX)
  Minor opcode of failed request:  5 (X_GLXMakeCurrent)
  Serial number of failed request:  3817
  Current serial number in output stream:  3817
I think my system is up-to-date:

Code:
Ubuntu 12.10
Linux 3.5.0-18-generic
unity 6.10.0
wine-1.5.17
OpenGL vendor string:   NVIDIA Corporation
OpenGL renderer string: GeForce 9800 GT/PCIe/SSE2
OpenGL version string:  3.3.0 NVIDIA 304.64

Not software rendered:    yes
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes
Unity 3D supported:       yes
Running export LIBGL_DRIVERS_PATH=/usr/lib32/dri before the program had no effect.

Suggestions?